| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Functions
LogOps Namespace Reference

LogOps. More...

## Functions
LogType | defineFileType (const std::vector< std::string > &lines, const LogsFormat &format) noexcept
| Defines the type of a file.

## Detailed Description

LogOps.

Operations for the logs

## Function Documentation

## ◆ defineFileType()

LogType LogOps::defineFileType | ( | const std::vector< std::string > & | lines,
|  | const LogsFormat & | format )
| noexcept

Defines the type of a file.

Parameters

  lines | A list of (randomly picked) lines from the file to examine
  format | The logs format to use to determine if the file is valid or not

Returns
  The resulting file type

See also
  LogType, deepTypeCheck(), FormatOps::LogsFormat